## NAME

d.frame - Manages display frames on the user's graphics monitor.
(GRASS Display Program)

## SYNOPSIS

d.frame
d.frame help
d.frame [-cepslD] [frame=name] [at=bottom,top,left,right]

## DESCRIPTION

This program manages display frames on the user's graphics monitor. GRASS display programs at run-time connect with graphics rendering programs. While the display programs are identical on every hardware platform, the graphics rendering programs are (essentially the only GRASS programs) designed for individual hardware devices. These rendering programs are managed with the GRASS program d.mon. Graphics are displayed in rectangular frames on whatever graphics monitor the user is currently directing GRASS display output to. These frames are created and managed with this program, Note that GRASS frame contents are not retained when one frame covers another. You cannot shuffle frames from top to bottom and then back again. They simply define rectangular areas on the screen where subsequent drawing will occur.

### Flags:

-c
  Creates a new display frame on the graphics monitor.
-e
  Removes all existing display frames and reinitializes the entire graphics screen (the full-screen display frame).
-p
  Prints the name of the active frame, in which GRASS display output will appear.
-s
  Selects a frame for the display of GRASS graphics. This frame is then known as the "active frame".
-l
  List map names displayed in GRASS monitor
-D
  Prints the status of the user's graphics monitor and active display frame to standard output. Information includes the name and the dimensions of the current frame on the graphics monitor, given in the form bottom top left right. This function is useful for debugging output, and for determining display screen coordinates.

### Parameters:

frame=name
  The name of the display frame to be created/selected.
at=bottom,top,left,right
  Where to place the frame (implies -c). Frame coordinates are stated in the form: bottom,top,left,right. The lower-left corner of the graphics monitor always is at location 0,0 while the monitor's upper-right corner is always at 100,100 (the values are in percent).

## NOTES

If the user has created multiple display frames that overlap one another, whatever the user displays in the active frame will overwrite those portions of the underlying frame where these frames overlap.

## SEE ALSO

d.erase
d.mon

## AUTHOR

James Westervelt, U.S. Army Construction Engineering Research Laboratory
Michael Shapiro, U.S. Army Construction Engineering Research Laboratory

Last changed: $Date: 2002/01/25 05:45:32 $